## cinnamon-session 3.2.0+serena

=== debian/changelog ===
cinnamon-session (3.2.0+serena) serena; urgency=medium

  [ Edgar Fournival ]
  * removed old dialog icon code

  [ leigh123linux ]
  * gsettings: stop using g_settings_list_schemas()
  * Fix spelling (wrong word used)

  [ Dustin Falgout ]
  * update .gitignore
  * Add support for applying GTK style to QT apps when running QT 5.7+ Maintain backwards compatibility for earlier versions of QT.
  * use build time option instead of pkgcheck for obvious reasons :sweat_smile:
  * remove unecessary call to g_free
  * Incorporated feedback

  [ brownsr ]
  * remove unused variable
  * replace deprecated gtk_icon_info_free with g_object_unref

  [ Dustin Falgout ]
  * implement change described in PR comments related to "QT_STYLE_OVERRIDE" env var and qt versions 5.7+

  [ leigh123linux ]
  * main: fix heap overflow in dbus-launch wrapping

  [ Maximiliano Curia ]
  * Migrate away from gnome-common deprecated vars and macros

  [ Clement Lefebvre ]
  * Added cinnamon-session.pot and makepot
  * Update POT file

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Nov 2016 10:39:17 +0000

cinnamon-session (3.0.1) sarah; urgency=medium

  [ leigh123linux ]
  * Add support PreDisplayServer phase to fix gnome-keyring ssh issue
  * add new phase: CSM_MANAGER_PHASE_EARLY_INITIALIZATION, it's needed for PRE_DISPLAY_SERVER phase to run

  [ Michael Webster ]
  * main.c: Add support for disabling gtk overlay scrollbars

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 20 May 2016 12:02:48 +0100

=== debian/control ===
Source: cinnamon-session
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: autoconf-archive,
               debhelper (>= 9),
               dh-autoreconf,
               gnome-pkg-tools (>= 0.13),
               intltool (>= 0.40.6),
               libcanberra-dev,
               libdbus-glib-1-dev (>= 0.88),
               libgl1-mesa-dev,
               libglib2.0-dev (>= 2.37.3),
               libgtk-3-dev (>= 3.0.0),
               libice-dev,
               libjson-glib-dev (>= 0.10),
               libsm-dev,
               libsystemd-daemon-dev [linux-any] | libsystemd-dev [linux-any],
               libsystemd-login-dev [linux-any] | libsystemd-dev [linux-any],
               libupower-glib-dev (>= 0.9.0),
               libx11-dev,
               libxau-dev,
               libxcomposite-dev,
               libxext-dev,
               libxrender-dev,
               libxt-dev,
               libxtst-dev,
               xmlto,
               xsltproc,
               xtrans-dev
Standards-Version: 3.9.6
Homepage: http://cinnamon.linuxmint.com

Package: cinnamon-session
Architecture: any
Depends: cinnamon-desktop-data (>= 2.6.3),
         cinnamon-session-common (= ${source:Version}),
         dbus-x11,
         upower (>= 0.9.0),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: cinnamon-session-common (<< 2.2.2-5~)
Replaces: cinnamon-session-common (<< 2.2.2-5~)
Provides: x-session-manager
Description: Cinnamon Session Manager - Minimal runtime
 The Cinnamon Session Manager is in charge of starting the core components
 of the Cinnamon desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the binaries for the Cinnamon Session Manager, but
 no startup scripts. It is meant for those willing to start
 cinnamon-session by hand with the components of their choice, and for
 applications such as MDM that use cinnamon-session internally.

Package: cinnamon-session-common
Architecture: all
Depends: ${misc:Depends}
Description: Cinnamon Session Manager - common files
 The Cinnamon Session Manager is in charge of starting the core components
 of the Cinnamon desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the translations, data files and startup scripts
 which are common to the Cinnamon and Cinnamon fallback sessions.

## cinnamon-session 3.4.1

=== debian/changelog ===
cinnamon-session (3.4.1-1) experimental; urgency=medium

  * New upstream release (3.4.1).
  * Bump group breaks (3.4)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Sun, 06 Aug 2017 17:31:42 +0200

=== debian/control ===
Source: cinnamon-session
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
Build-Depends:
 autoconf-archive,
 automake,
 debhelper (>= 9),
 dh-autoreconf,
 gnome-pkg-tools (>= 0.13),
 intltool (>= 0.40.6),
 libcanberra-dev,
 libdbus-glib-1-dev (>= 0.88),
 libgl1-mesa-dev,
 libglib2.0-dev (>= 2.37.3),
 libgtk-3-dev (>= 3.0.0),
 libice-dev,
 libjson-glib-dev (>= 0.10),
 libsm-dev,
 libsystemd-dev [linux-any],
 libupower-glib-dev (>= 0.9.0),
 libx11-dev,
 libxau-dev,
 libxcomposite-dev,
 libxext-dev,
 libxrender-dev,
 libxt-dev,
 libxtst-dev,
 xmlto,
 xsltproc,
 xtrans-dev,
Standards-Version: 3.9.8
Homepage: http://cinnamon.linuxmint.com
Vcs-Browser: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-session.git
Vcs-Git: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-session.git

Package: cinnamon-session
Architecture: any
Depends:
 cinnamon-desktop-data (>= 3.0.1-2),
 cinnamon-session-common (= ${source:Version}),
 default-dbus-session-bus | dbus-session-bus,
 upower (>= 0.9.0),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: cinnamon (<< 3.4), cinnamon-session-common (<< 2.2.2-5~)
Replaces: cinnamon-session-common (<< 2.2.2-5~)
Provides: x-session-manager
Description: Cinnamon Session Manager - Minimal runtime
 The Cinnamon Session Manager is in charge of starting the core components
 of the Cinnamon desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the binaries for the Cinnamon Session Manager, but
 no startup scripts. It is meant for those willing to start
 cinnamon-session by hand with the components of their choice, and for
 applications such as MDM that use cinnamon-session internally.

Package: cinnamon-session-common
Architecture: all
Depends: ${misc:Depends}
Description: Cinnamon Session Manager - common files
 The Cinnamon Session Manager is in charge of starting the core components
 of the Cinnamon desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the translations, data files and startup scripts
 which are common to the Cinnamon and Cinnamon fallback sessions.

## cinnamon-session 3.4.2

=== debian/changelog ===
cinnamon-session (3.4.2-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release (3.4.2).

  [ Maximiliano Curia ]
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 02 Sep 2017 07:35:22 +0200

## cinnamon-session 3.4.2+betsy

=== debian/changelog ===
cinnamon-session (3.4.2+betsy) sonya; urgency=medium

  [ Michael Webster ]
  * add an issue template

  [ JosephMcc ]
  * Logout dialog: Don't grab the keyboard and mouse when opening the dialog (#95)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Aug 2017 13:11:46 +0200

cinnamon-session (3.4.1) sonya; urgency=medium

  [ itzexor ]
  * autostart-blacklist: add new gnome settings daemon prefix

  [ Michael Webster ]
  * csm-manager.c: Listen to the power schema 'lock-on-suspend' setting instead of the normal screensaver setting of 'lock when the screensaver starts'.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 Jun 2017 15:27:12 +0200

cinnamon-session (3.4.0) sonya; urgency=medium

  [ leigh123linux ]
  * Check stricter for presence of xtrans (with option to disable)
  * remove aclocal from autogen
  * Fix redundant redeclarations

  [ Clement Lefebvre ]
  * manager: don't wait for all clients to exit before exiting

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 May 2017 13:37:33 +0100

cinnamon-session (3.2.0) serena; urgency=medium

  [ Edgar Fournival ]
  * removed old dialog icon code

  [ leigh123linux ]
  * gsettings: stop using g_settings_list_schemas()
  * Fix spelling (wrong word used)

  [ Dustin Falgout ]
  * update .gitignore
  * Add support for applying GTK style to QT apps when running QT 5.7+ Maintain backwards compatibility for earlier versions of QT.
  * use build time option instead of pkgcheck for obvious reasons :sweat_smile:
  * remove unecessary call to g_free
  * Incorporated feedback

  [ brownsr ]
  * remove unused variable
  * replace deprecated gtk_icon_info_free with g_object_unref

  [ Dustin Falgout ]
  * implement change described in PR comments related to "QT_STYLE_OVERRIDE" env var and qt versions 5.7+

  [ leigh123linux ]
  * main: fix heap overflow in dbus-launch wrapping

  [ Maximiliano Curia ]
  * Migrate away from gnome-common deprecated vars and macros

  [ Clement Lefebvre ]
  * Added cinnamon-session.pot and makepot
  * Update POT file

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Nov 2016 10:39:17 +0000

## cinnamon-session 3.4.2+sonya

=== debian/changelog ===
cinnamon-session (3.4.2+sonya) sonya; urgency=medium

  [ Michael Webster ]
  * add an issue template

  [ JosephMcc ]
  * Logout dialog: Don't grab the keyboard and mouse when opening the dialog (#95)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Aug 2017 13:11:46 +0200

## cinnamon-session 3.6.0+sylvia

=== debian/changelog ===
cinnamon-session (3.6.0+sylvia) sylvia; urgency=medium

  [ Michael Webster ]
  * add an issue template

  [ Björn Esser ]
  * Update environment for dbus and systemd user-session (#91)

  [ JosephMcc ]
  * Logout dialog: Don't grab the keyboard and mouse when opening the dialog (#95)

  [ Michael Webster ]
  * Add support for "hybrid sleep" (#93)

  [ Clement Lefebvre ]
  * Remove unused code
  * l10n: Switch gettext schema to cinnamon-session (provided by cinnamon-translations)
  * l10n: Remove translations (provided by cinnamon-translations)

  [ JosephMcc ]
  * csm-logout-dialog.c: Remove a couple uses of GtkStock (#100)

  [ Björn Esser ]
  * Restart dbus user-session if last graphical session (#99)

  [ Clement Lefebvre ]
  * l10n: Update POT file

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 23 Oct 2017 14:06:26 +0100

## cinnamon-session 3.6.1

=== debian/changelog ===
cinnamon-session (3.6.1-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release (3.6.0).
  * Make cinnamon-session-common Multi-Arch: foreign (closes: #874328)
    Thanks to Hugh McMaster
  * update debian/copyright

  [ Maximiliano Curia ]
  * Use the salsa canonical urls
  * Set new ml as Maintainer
  * New upstream release (3.6.1).
  * Bump Standards-Version to 4.1.3.
  * Bump debhelper build-dep and compat to 11.
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Mar 2018 15:06:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cinnamon-session
 Section: x11
 Priority: optional
-Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
+Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
@@ -9,7 +9,7 @@
 Build-Depends:
  autoconf-archive,
  automake,
- debhelper (>= 9),
+ debhelper (>= 11~),
  dh-autoreconf,
  gnome-pkg-tools (>= 0.13),
  intltool (>= 0.40.6),
@@ -33,21 +33,22 @@
  xmlto,
  xsltproc,
  xtrans-dev,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://cinnamon.linuxmint.com
-Vcs-Browser: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-session.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-session.git
+Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-session
+Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-session.git
 
 Package: cinnamon-session
 Architecture: any
 Depends:
- cinnamon-desktop-data (>= 3.0.1-2),
+ cinnamon-desktop-data (>= 3.6),
  cinnamon-session-common (= ${source:Version}),
  default-dbus-session-bus | dbus-session-bus,
  upower (>= 0.9.0),
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: cinnamon (<< 3.4), cinnamon-session-common (<< 2.2.2-5~)
+Recommends: cinnamon-l10n
+Breaks: cinnamon (<< 3.6), cinnamon-session-common (<< 2.2.2-5~)
 Replaces: cinnamon-session-common (<< 2.2.2-5~)
 Provides: x-session-manager
 Description: Cinnamon Session Manager - Minimal runtime
@@ -63,6 +64,7 @@
 
 Package: cinnamon-session-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Cinnamon Session Manager - common files
  The Cinnamon Session Manager is in charge of starting the core components

## cinnamon-session 3.8.2

=== debian/changelog ===
cinnamon-session (3.8.2-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 16 Nov 2018 11:16:27 -0800

cinnamon-session (3.8.2-1) unstable; urgency=medium

  * New upstream release (3.8.2).
  * Drop upstream patch
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 07 Aug 2018 14:51:41 +0200

cinnamon-session (3.8.1-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Drop dh-autoreconf (no longer needed with dh >= 10)
  * Drop dh's parallel arg (no longer needed with dh >= 10)
  * Bump Standards-Version to 4.1.4.
  * trivial: debian/rules indentation
  * Enable hardening bindnow
  * Install the libexec files in a private dir
  * Bump group breaks (3.8)
  * build: fix PKGDATADIR define / use only one define
  * Comment GDBusConnection method call with a DbusGConnection object
  * Release to experimental

  [ Fabio Fantoni ]
  * New upstream release (3.8.0).
  * Update debian/copyright.
  * Removed debian/patches/use_gtk3_with_qt.patch not needed anymore.
  * fix debian/copyright

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 14:30:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: cinnamon-session
 Section: x11
 Priority: optional
-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
  Fabio Fantoni <fantonifabio@tiscali.it>,
 Build-Depends:
- autoconf-archive,
- automake,
- debhelper (>= 11~),
- dh-autoreconf,
+ debhelper (>= 11.1~),
  gnome-pkg-tools (>= 0.13),
  intltool (>= 0.40.6),
  libcanberra-dev,
@@ -24,16 +22,18 @@
  libsystemd-dev [linux-any],
  libupower-glib-dev (>= 0.9.0),
  libx11-dev,
+ libxapp-dev (>= 1.0.4),
  libxau-dev,
  libxcomposite-dev,
  libxext-dev,
  libxrender-dev,
  libxt-dev,
  libxtst-dev,
+ meson (>= 0.40.0),
  xmlto,
  xsltproc,
  xtrans-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://cinnamon.linuxmint.com
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-session
 Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-session.git
@@ -41,14 +41,17 @@
 Package: cinnamon-session
 Architecture: any
 Depends:
- cinnamon-desktop-data (>= 3.6),
+ cinnamon-desktop-data (>= 3.8),
  cinnamon-session-common (= ${source:Version}),
  default-dbus-session-bus | dbus-session-bus,
  upower (>= 0.9.0),
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends: cinnamon-l10n
-Breaks: cinnamon (<< 3.6), cinnamon-session-common (<< 2.2.2-5~)
+Recommends: cinnamon-l10n (>= 3.8)
+Breaks:
+ cinnamon (<< 3.8),
+ cinnamon-core (<< 3.8~),
+ cinnamon-session-common (<< 2.2.2-5~),
 Replaces: cinnamon-session-common (<< 2.2.2-5~)
 Provides: x-session-manager
 Description: Cinnamon Session Manager - Minimal runtime

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    -Dwith-docbook=true \
	    -Dwith-frequent-warnings=true \
	    -Dwith-gconf=false \
	    -Dwith-ipv6=true \
	    -Dwith-xtrans=true \
	    --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/cinnamon-session

# --list-missing will be default in compat 12
override_dh_missing:
	dh_missing --list-missing

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## cinnamon-session 3.8.2%2Btara

=== debian/changelog ===
cinnamon-session (3.8.2+tara) tara; urgency=medium

  [ itzexor ]
  * build: fix PKGDATADIR define / use only one define

  [ Clement Lefebvre ]
  * Autostart: Don't let buggy GSettings condition break the session

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 04 Jul 2018 22:33:18 +0200

cinnamon-session (3.8.1) tara; urgency=medium

  [ Fabio Fantoni ]
  * debian/rules: change libexecdir to the same of what debhelper do (#114)

  [ Cobinja ]
  * Fix generation of LOCALE_DIR (#115)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 19 Apr 2018 12:06:01 +0100

cinnamon-session (3.8.0) tara; urgency=medium

  [ Clement Lefebvre ]
  * Add CI configuration

  [ Björn Esser ]
  * csm-manager: Detect DBus user-session at runtime (#107)

  [ krifisk ]
  * Add support for elogind (#106)

  [ Fabio Fantoni ]
  * circleci: add install of updated cinnamon-desktop
  * circleci: remove mint18 job

  [ Salamandar ]
  * Meson port (#108)

  [ Eli Schwartz ]
  * Stop trying to handle Qt integration at all (#102)

  [ Clement Lefebvre ]
  * Quit dialog: Don't skip taskbar

  [ James Ross ]
  * main: remove leftover qt theme support variable (#111)

  [ Leigh Scott ]
  * remove qt5 leftovers (#112)

  [ Fabio Fantoni ]
  * debian: wrap-and-sort -bst
  * update debian/copyright
  * small improves to debian/control
  * switch from dbus-x11 to default-dbus-session-bus | dbus-session-bus
  * Bump debhelper build-dep and compat to 10
  * improve debian/rules
  * debian: try to restore multiarch with meson without debhelper 11
  * debian/rules: remove qt5 theme support option, was removed
  * xapp version required is >=1.0.4

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 18 Apr 2018 11:46:24 +0100

cinnamon-session (3.6.1) sylvia; urgency=medium

  [ Björn Esser ]
  * configure: Add option to disable support for DBus user sessions (#103)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 22 Nov 2017 12:29:17 +0000

cinnamon-session (3.6.0) sylvia; urgency=medium

  [ Michael Webster ]
  * add an issue template

  [ Björn Esser ]
  * Update environment for dbus and systemd user-session (#91)

  [ JosephMcc ]
  * Logout dialog: Don't grab the keyboard and mouse when opening the dialog (#95)

  [ Michael Webster ]
  * Add support for "hybrid sleep" (#93)

  [ Clement Lefebvre ]
  * Remove unused code
  * l10n: Switch gettext schema to cinnamon-session (provided by cinnamon-translations)
  * l10n: Remove translations (provided by cinnamon-translations)

  [ JosephMcc ]
  * csm-logout-dialog.c: Remove a couple uses of GtkStock (#100)

  [ Björn Esser ]
  * Restart dbus user-session if last graphical session (#99)

  [ Clement Lefebvre ]
  * l10n: Update POT file

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 23 Oct 2017 14:06:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,9 @@
 Source: cinnamon-session
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
-Uploaders:
- Maximiliano Curia <maxy@debian.org>,
- Margarita Manterola <marga@debian.org>,
- Fabio Fantoni <fantonifabio@tiscali.it>,
+Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends:
- debhelper (>= 11.1~),
+ debhelper (>= 10),
  gnome-pkg-tools (>= 0.13),
  intltool (>= 0.40.6),
  libcanberra-dev,
@@ -29,29 +24,24 @@
  libxrender-dev,
  libxt-dev,
  libxtst-dev,
- meson (>= 0.40.0),
+ meson,
  xmlto,
  xsltproc,
  xtrans-dev,
-Standards-Version: 4.1.4
+Standards-Version: 3.9.6
 Homepage: http://cinnamon.linuxmint.com
-Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-session
-Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-session.git
 
 Package: cinnamon-session
 Architecture: any
 Depends:
- cinnamon-desktop-data (>= 3.8),
+ cinnamon-desktop-data (>= 3.6),
  cinnamon-session-common (= ${source:Version}),
  default-dbus-session-bus | dbus-session-bus,
  upower (>= 0.9.0),
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends: cinnamon-l10n (>= 3.8)
-Breaks:
- cinnamon (<< 3.8),
- cinnamon-core (<< 3.8~),
- cinnamon-session-common (<< 2.2.2-5~),
+Recommends: cinnamon-l10n
+Breaks: cinnamon-session-common (<< 2.2.2-5~)
 Replaces: cinnamon-session-common (<< 2.2.2-5~)
 Provides: x-session-manager
 Description: Cinnamon Session Manager - Minimal runtime

## cinnamon-session 3.8.2+tara

=== meson_options.txt ===
option('with-frequent-warnings',  type: 'boolean', value: false)
option('with-docbook',            type: 'boolean', value: true)
option('with-gconf',              type: 'boolean', value: true)
option('with-ipv6',               type: 'boolean', value: true)
option('with-xtrans',             type: 'boolean', value: true)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	mkdir -p debian/build
	meson debian/build \
		--prefix=/usr \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--buildtype=plain \
		-Dwith-docbook=true \
		-Dwith-frequent-warnings=true \
		-Dwith-gconf=false \
		-Dwith-ipv6=true \
		-Dwith-xtrans=true

override_dh_auto_build:
	ninja -C debian/build

override_dh_auto_test:
	ninja -C debian/build test

override_dh_auto_install:
	DESTDIR=${CURDIR}/debian/tmp \
	ninja -C debian/build install

## cinnamon-session 4.0.0

=== debian/changelog ===
cinnamon-session (4.0.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (4.0.0)

  [ Maximiliano Curia ]
  * Add a basic gbp.conf
  * Add a debian/salsa-ci.yml file
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Aug 2019 12:04:48 -0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: cinnamon-session
 Section: x11
 Priority: optional
-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Uploaders:
+ Maximiliano Curia <maxy@debian.org>,
+ Margarita Manterola <marga@debian.org>,
+ Fabio Fantoni <fantonifabio@tiscali.it>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11.1~),
  gnome-pkg-tools (>= 0.13),
  intltool (>= 0.40.6),
  libcanberra-dev,
@@ -24,24 +28,29 @@
  libxrender-dev,
  libxt-dev,
  libxtst-dev,
- meson,
+ meson (>= 0.40.0),
  xmlto,
  xsltproc,
  xtrans-dev,
-Standards-Version: 3.9.6
+Standards-Version: 4.1.4
 Homepage: http://cinnamon.linuxmint.com
+Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-session
+Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-session.git
 
 Package: cinnamon-session
 Architecture: any
 Depends:
- cinnamon-desktop-data (>= 3.6),
+ cinnamon-desktop-data (>= 4.0),
  cinnamon-session-common (= ${source:Version}),
  default-dbus-session-bus | dbus-session-bus,
  upower (>= 0.9.0),
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends: cinnamon-l10n
-Breaks: cinnamon-session-common (<< 2.2.2-5~)
+Recommends: cinnamon-l10n (>= 4.0)
+Breaks:
+ cinnamon (<< 4.0),
+ cinnamon-core (<< 4.0~),
+ cinnamon-session-common (<< 2.2.2-5~),
 Replaces: cinnamon-session-common (<< 2.2.2-5~)
 Provides: x-session-manager
 Description: Cinnamon Session Manager - Minimal runtime

## cinnamon-session 4.0.0+tessa

=== debian/changelog ===
cinnamon-session (4.0.0+tessa) tessa; urgency=medium

  [ Michael Webster ]
  * csm-logout-dialog.c: Use the "destructive-action" style classes for (#120)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 30 Oct 2018 14:42:20 +0000

cinnamon-session (3.8.2) tara; urgency=medium

  [ itzexor ]
  * build: fix PKGDATADIR define / use only one define

  [ Clement Lefebvre ]
  * Autostart: Don't let buggy GSettings condition break the session

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 04 Jul 2018 22:33:18 +0200

## cinnamon-session 4.2.1

=== debian/changelog ===
cinnamon-session (4.2.1-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Oct 2019 10:49:02 -0700

cinnamon-session (4.2.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Mon, 30 Sep 2019 22:28:05 +0900

cinnamon-session (4.2.1-1) experimental; urgency=medium

  * New upstream release (4.2.1)
  * update patch
  * add myself to uploaders, release to experimental

 -- Norbert Preining <norbert@preining.info>  Sun, 01 Sep 2019 10:55:41 +0900

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: cinnamon-session
 Section: x11
 Priority: optional
-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
  Fabio Fantoni <fantonifabio@tiscali.it>,
+ Norbert Preining <norbert@preining.info>
 Build-Depends:
  debhelper (>= 11.1~),
  gnome-pkg-tools (>= 0.13),
@@ -40,16 +42,16 @@
 Package: cinnamon-session
 Architecture: any
 Depends:
- cinnamon-desktop-data (>= 4.0),
+ cinnamon-desktop-data (>= 4.2),
  cinnamon-session-common (= ${source:Version}),
  default-dbus-session-bus | dbus-session-bus,
  upower (>= 0.9.0),
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends: cinnamon-l10n (>= 4.0)
+Recommends: cinnamon-l10n (>= 4.2)
 Breaks:
- cinnamon (<< 4.0),
- cinnamon-core (<< 4.0~),
+ cinnamon (<< 4.2),
+ cinnamon-core (<< 4.2~),
  cinnamon-session-common (<< 2.2.2-5~),
 Replaces: cinnamon-session-common (<< 2.2.2-5~)
 Provides: x-session-manager

## cinnamon-session 4.2.1%2Btina

=== debian/changelog ===
cinnamon-session (4.2.1+tina) tina; urgency=medium

  [ Michael Webster ]
  * meson: Add missing gschema compile script.

  [ yparitcher ]
  * Fix wrong parameter type on gdbus logout call (#128)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jul 2019 10:21:02 +0200

cinnamon-session (4.2.0) tina; urgency=medium

  [ montagdude ]
  * Implement suspend/hibernate via consolekit (#123)

  [ Michael Webster ]
  * csm-manager.c: Don't let inhibitors stop a forced logout.
  * Port to gdbus (#125)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 23 Jun 2019 17:37:09 +0200

cinnamon-session (4.0.0) tessa; urgency=medium

  [ Michael Webster ]
  * csm-logout-dialog.c: Use the "destructive-action" style classes for (#120)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 30 Oct 2018 14:42:20 +0000

## cinnamon-session 4.2.1+cindy

=== debian/changelog ===
cinnamon-session (4.2.1+cindy) tina; urgency=medium

  [ Michael Webster ]
  * meson: Add missing gschema compile script.

  [ yparitcher ]
  * Fix wrong parameter type on gdbus logout call (#128)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jul 2019 10:21:02 +0200

## cinnamon-session 4.4.0

=== debian/changelog ===
cinnamon-session (4.4.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Tue, 04 Feb 2020 08:40:11 +0900

cinnamon-session (4.4.0-1) experimental; urgency=medium

  * New upstream version 4.4.0

 -- Norbert Preining <norbert@preining.info>  Sun, 19 Jan 2020 09:48:59 +0900

## cinnamon-session 4.4.1

=== debian/changelog ===
cinnamon-session (4.4.1-1) unstable; urgency=medium

  * New upstream version 4.4.1

 -- Norbert Preining <norbert@preining.info>  Tue, 18 Feb 2020 19:00:58 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cinnamon-session
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
@@ -14,6 +13,7 @@
  intltool (>= 0.40.6),
  libcanberra-dev,
  libdbus-glib-1-dev (>= 0.88),
+ libgconf2-dev,
  libgl1-mesa-dev,
  libglib2.0-dev (>= 2.37.3),
  libgtk-3-dev (>= 3.0.0),
@@ -42,16 +42,16 @@
 Package: cinnamon-session
 Architecture: any
 Depends:
- cinnamon-desktop-data (>= 4.2),
+ cinnamon-desktop-data (>= 4.4),
  cinnamon-session-common (= ${source:Version}),
  default-dbus-session-bus | dbus-session-bus,
  upower (>= 0.9.0),
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends: cinnamon-l10n (>= 4.2)
+Recommends: cinnamon-l10n (>= 4.4)
 Breaks:
- cinnamon (<< 4.2),
- cinnamon-core (<< 4.2~),
+ cinnamon (<< 4.4),
+ cinnamon-core (<< 4.4~),
  cinnamon-session-common (<< 2.2.2-5~),
 Replaces: cinnamon-session-common (<< 2.2.2-5~)
 Provides: x-session-manager

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    -Ddocbook=true \
	    -Dfrequent-warnings=true \
	    -Dgconf=false \
	    -Dipv6=true \
	    -Dxtrans=true \
	    --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/cinnamon-session

# --list-missing will be default in compat 12
override_dh_missing:
	dh_missing --list-missing

## cinnamon-session 4.4.2+tricia

=== debian/changelog ===
cinnamon-session (4.4.2+tricia) tricia; urgency=medium

  [ Michael Webster ]
  * csm-manager.c: Don't let programs that exit without responding to cinnamon-session's request delay the shutdown.

  [ Garry Filakhtov ]
  * Fix elogind support

  [ Michael Webster ]
  * csm-autostart-app.c: Respect the Path key in desktop files.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Aug 2020 12:43:15 +0100

cinnamon-session (4.4.1) tricia; urgency=medium

  [ Eli Schwartz ]
  * build: don't try to configure a data file that has nothing to configure

  [ Michael Webster ]
  * csm-systemd.c: Restore old check for logind.

  [ Sparky Bluefang ]
  * Clean-up remaining dbus-glib references after removal in #125

  [ Michael Webster ]
  * csm-presence.c: Don't start cinnamon-screensaver during construction.
  * main.c: Add a setting to run the session with GDK_SYNCHRONIZE=1, which allows XErrors to be backtraced.

  [ Clement Lefebvre ]
  * Package: Remove URL

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 14 Feb 2020 08:53:57 +0000

cinnamon-session (4.4.0) tricia; urgency=medium

  [ Michael Webster ]
  * csm-system: Check for logind and fall back to consolekit, instead of using a gsettings key to determine which to use.

  [ Soapux ]
  * meson: Update style of build options (#129)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 16 Nov 2019 15:12:52 +0100

cinnamon-session (4.2.1) tina; urgency=medium

  [ Michael Webster ]
  * meson: Add missing gschema compile script.

  [ yparitcher ]
  * Fix wrong parameter type on gdbus logout call (#128)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jul 2019 10:21:02 +0200

## cinnamon-session 4.6.1

=== debian/changelog ===
cinnamon-session (4.6.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Thu, 25 Jun 2020 10:56:13 +0900

cinnamon-session (4.6.1-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * remove unused libdbus-glib-1-dev build-dep (Closes: #955829)

  [ Norbert Preining ]
  * New upstream release 4.6.1
  * remove unused libgconf2-dev build-dep (Closes: #959103)

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Jun 2020 07:36:17 +0900

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,6 @@
  gnome-pkg-tools (>= 0.13),
  intltool (>= 0.40.6),
  libcanberra-dev,
- libdbus-glib-1-dev (>= 0.88),
- libgconf2-dev,
  libgl1-mesa-dev,
  libglib2.0-dev (>= 2.37.3),
  libgtk-3-dev (>= 3.0.0),
@@ -42,16 +40,16 @@
 Package: cinnamon-session
 Architecture: any
 Depends:
- cinnamon-desktop-data (>= 4.4),
+ cinnamon-desktop-data (>= 4.6),
  cinnamon-session-common (= ${source:Version}),
  default-dbus-session-bus | dbus-session-bus,
  upower (>= 0.9.0),
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends: cinnamon-l10n (>= 4.4)
+Recommends: cinnamon-l10n (>= 4.6)
 Breaks:
- cinnamon (<< 4.4),
- cinnamon-core (<< 4.4~),
+ cinnamon (<< 4.6~),
+ cinnamon-core (<< 4.6~),
  cinnamon-session-common (<< 2.2.2-5~),
 Replaces: cinnamon-session-common (<< 2.2.2-5~)
 Provides: x-session-manager

## cinnamon-session 4.6.2

=== debian/changelog ===
cinnamon-session (4.6.2-1) unstable; urgency=medium

  * New upstream version 4.6.2
  * bump standards version, switch to debhelper-compat instead of d/compat

 -- Norbert Preining <norbert@preining.info>  Fri, 14 Aug 2020 14:48:37 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Fabio Fantoni <fantonifabio@tiscali.it>,
  Norbert Preining <norbert@preining.info>
 Build-Depends:
- debhelper (>= 11.1~),
+ debhelper-compat (= 11),
  gnome-pkg-tools (>= 0.13),
  intltool (>= 0.40.6),
  libcanberra-dev,
@@ -32,7 +32,7 @@
  xmlto,
  xsltproc,
  xtrans-dev,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: http://cinnamon.linuxmint.com
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-session
 Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-session.git

## cinnamon-session 4.6.2+ulyana

=== debian/changelog ===
cinnamon-session (4.6.2+ulyana) ulyana; urgency=medium

  [ Michael Webster ]
  * csm-autostart-app.c: Respect the Path key in desktop files.

  [ Clement Lefebvre ]
  * CI: Update targets

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Aug 2020 12:40:31 +0100

cinnamon-session (4.6.1) ulyana; urgency=medium

  [ Garry Filakhtov ]
  * Fix elogind support

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 May 2020 12:41:48 +0100

cinnamon-session (4.6.0) ulyana; urgency=medium

  [ Michael Webster ]
  * csm-manager.c: Don't let programs that exit without responding to cinnamon-session's request delay the shutdown.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 May 2020 13:59:00 +0100

## cinnamon-session 4.8.0

=== meson_options.txt ===
option('frequent_warnings',  type: 'boolean', value: false)
option('docbook',            type: 'boolean', value: true)
option('gconf',              type: 'boolean', value: true)
option('ipv6',               type: 'boolean', value: true)
option('xtrans',             type: 'boolean', value: true)

=== debian/changelog ===
cinnamon-session (4.8.0-3) unstable; urgency=medium

  * Cherry-pick upstream fix for uploading several variables to the
    systemctl user session. (Closes: #986099)

 -- Norbert Preining <norbert@preining.info>  Fri, 21 May 2021 05:57:23 +0900

cinnamon-session (4.8.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Wed, 16 Dec 2020 12:37:59 +0900

cinnamon-session (4.8.0-1) experimental; urgency=medium

  * New upstream version 4.8.0
  * update patch
  * Bump inter-cinnamon deps to 4.8

 -- Norbert Preining <norbert@preining.info>  Tue, 01 Dec 2020 08:37:07 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Fabio Fantoni <fantonifabio@tiscali.it>,
  Norbert Preining <norbert@preining.info>
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  gnome-pkg-tools (>= 0.13),
  intltool (>= 0.40.6),
  libcanberra-dev,
@@ -40,16 +40,16 @@
 Package: cinnamon-session
 Architecture: any
 Depends:
- cinnamon-desktop-data (>= 4.6),
+ cinnamon-desktop-data (>= 4.8),
  cinnamon-session-common (= ${source:Version}),
  default-dbus-session-bus | dbus-session-bus,
  upower (>= 0.9.0),
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends: cinnamon-l10n (>= 4.6)
+Recommends: cinnamon-l10n (>= 4.8)
 Breaks:
- cinnamon (<< 4.6~),
- cinnamon-core (<< 4.6~),
+ cinnamon (<< 4.8~),
+ cinnamon-core (<< 4.8~),
  cinnamon-session-common (<< 2.2.2-5~),
 Replaces: cinnamon-session-common (<< 2.2.2-5~)
 Provides: x-session-manager

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,3 @@
 	    -Dxtrans=true \
 	    --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/cinnamon-session
 
-# --list-missing will be default in compat 12
-override_dh_missing:
-	dh_missing --list-missing
-

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/(.*)/cinnamon-session-$1/" \
    https://github.com/linuxmint/cinnamon-session/tags .*/(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## cinnamon-session 4.8.0+ulyssa

=== debian/changelog ===
cinnamon-session (4.8.0+ulyssa) ulyssa; urgency=medium

  [ miniskipper ]
  * implement suspend-then-hibernate (issue #237)
  * respect suspend-then-hibernate setting when suspending from menu

  [ Fabio Fantoni ]
  * use debhelper 11 for integrated meson support

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 25 Nov 2020 14:19:53 +0000

cinnamon-session (4.6.2) ulyana; urgency=medium

  [ Michael Webster ]
  * csm-autostart-app.c: Respect the Path key in desktop files.

  [ Clement Lefebvre ]
  * CI: Update targets

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Aug 2020 12:40:31 +0100

## cinnamon-session 5.0.1

=== debian/changelog ===
cinnamon-session (5.0.1-3) unstable; urgency=medium

  * d/rules:
    - fix a configure option (Closes: #998555)
    - hardening from bindnow to all

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 05 Nov 2021 11:55:33 +0100

cinnamon-session (5.0.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Wed, 29 Sep 2021 20:20:03 +0900

cinnamon-session (5.0.1-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream version 5.0.1
  * Remove a d/patch applied upstream.

 -- Norbert Preining <norbert@preining.info>  Mon, 23 Aug 2021 13:19:18 +0900

=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
  xsltproc,
  xtrans-dev,
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://cinnamon.linuxmint.com
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-session
 Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-session.git
@@ -40,18 +41,16 @@
 Package: cinnamon-session
 Architecture: any
 Depends:
- cinnamon-desktop-data (>= 4.8),
+ cinnamon-desktop-data (>= 5.0),
  cinnamon-session-common (= ${source:Version}),
  default-dbus-session-bus | dbus-session-bus,
  upower (>= 0.9.0),
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends: cinnamon-l10n (>= 4.8)
+Recommends: cinnamon-l10n (>= 5.0)
 Breaks:
- cinnamon (<< 4.8~),
- cinnamon-core (<< 4.8~),
- cinnamon-session-common (<< 2.2.2-5~),
-Replaces: cinnamon-session-common (<< 2.2.2-5~)
+ cinnamon (<< 5.0~),
+ cinnamon-core (<< 5.0~),
 Provides: x-session-manager
 Description: Cinnamon Session Manager - Minimal runtime
  The Cinnamon Session Manager is in charge of starting the core components

## cinnamon-session 5.0.1+debbie

=== debian/changelog ===
cinnamon-session (5.0.1+debbie) uma; urgency=medium

  [ Michael Webster ]
  * csm-logout-dialog.c: Grab focus after the widget is shown.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 23 Jul 2021 12:25:29 +0100

cinnamon-session (5.0.0) uma; urgency=medium

  [ Leigh Scott ]
  * Accept Desktop Entry Specification v1.4
  * util: Blacklist some session-specific variables
  * util: Blacklist NOTIFY_SOCKET
  * Fix libexec path for cinnamon-session-check-accelerated-helper

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 27 May 2021 15:35:11 +0100

cinnamon-session (4.8.0) ulyssa; urgency=medium

  [ miniskipper ]
  * implement suspend-then-hibernate (issue #237)
  * respect suspend-then-hibernate setting when suspending from menu

  [ Fabio Fantoni ]
  * use debhelper 11 for integrated meson support

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 25 Nov 2020 14:19:53 +0000

## cinnamon-session 5.0.1+uma

=== debian/changelog ===
cinnamon-session (5.0.1+uma) uma; urgency=medium

  [ Michael Webster ]
  * csm-logout-dialog.c: Grab focus after the widget is shown.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 23 Jul 2021 12:25:29 +0100

## cinnamon-session 5.2.0

=== debian/changelog ===
cinnamon-session (5.2.0-2) unstable; urgency=medium

  * add myself to uploaders
  * prepare upload to unstable

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 25 Jan 2022 16:35:16 +0100

cinnamon-session (5.2.0-1) experimental; urgency=medium

  * New upstream version 5.2.0

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Wed, 08 Dec 2021 17:24:55 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,9 @@
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
  Fabio Fantoni <fantonifabio@tiscali.it>,
- Norbert Preining <norbert@preining.info>
+ Norbert Preining <norbert@preining.info>,
+ Joshua Peisach <itzswirlz2020@outlook.com>,
+ Christoph Martin <martin@uni-mainz.de>
 Build-Depends:
  debhelper-compat (= 13),
  gnome-pkg-tools (>= 0.13),
@@ -41,16 +43,16 @@
 Package: cinnamon-session
 Architecture: any
 Depends:
- cinnamon-desktop-data (>= 5.0),
+ cinnamon-desktop-data (>= 5.2),
  cinnamon-session-common (= ${source:Version}),
  default-dbus-session-bus | dbus-session-bus,
  upower (>= 0.9.0),
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends: cinnamon-l10n (>= 5.0)
+Recommends: cinnamon-l10n (>= 5.2)
 Breaks:
- cinnamon (<< 5.0~),
- cinnamon-core (<< 5.0~),
+ cinnamon (<< 5.2~),
+ cinnamon-core (<< 5.2~),
 Provides: x-session-manager
 Description: Cinnamon Session Manager - Minimal runtime
  The Cinnamon Session Manager is in charge of starting the core components

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    -Ddocbook=true \
	    -Dfrequent_warnings=true \
	    -Dgconf=false \
	    -Dipv6=true \
	    -Dxtrans=true \
	    --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/cinnamon-session

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cinnamon-session-$1.tar.gz%" \
   https://github.com/linuxmint/cinnamon-session/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## cinnamon-session 5.2.0+una

=== debian/changelog ===
cinnamon-session (5.2.0+una) una; urgency=medium

  [ Joshua Peisach ]
  * util: Unset LC_* variables (#145)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Nov 2021 12:44:32 +0000

cinnamon-session (5.0.1) uma; urgency=medium

  [ Michael Webster ]
  * csm-logout-dialog.c: Grab focus after the widget is shown.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 23 Jul 2021 12:25:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,9 @@
 Source: cinnamon-session
 Section: x11
 Priority: optional
-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
-Uploaders:
- Maximiliano Curia <maxy@debian.org>,
- Margarita Manterola <marga@debian.org>,
- Fabio Fantoni <fantonifabio@tiscali.it>,
- Norbert Preining <norbert@preining.info>,
- Joshua Peisach <itzswirlz2020@outlook.com>,
- Christoph Martin <martin@uni-mainz.de>
+Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 11.1~),
  gnome-pkg-tools (>= 0.13),
  intltool (>= 0.40.6),
  libcanberra-dev,
@@ -30,29 +23,24 @@
  libxrender-dev,
  libxt-dev,
  libxtst-dev,
- meson (>= 0.40.0),
+ meson,
  xmlto,
  xsltproc,
  xtrans-dev,
-Standards-Version: 4.5.0
-Rules-Requires-Root: no
-Homepage: http://cinnamon.linuxmint.com
-Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-session
-Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-session.git
+Standards-Version: 3.9.6
 
 Package: cinnamon-session
 Architecture: any
 Depends:
- cinnamon-desktop-data (>= 5.2),
+ cinnamon-desktop-data (>= 3.6),
  cinnamon-session-common (= ${source:Version}),
  default-dbus-session-bus | dbus-session-bus,
  upower (>= 0.9.0),
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends: cinnamon-l10n (>= 5.2)
-Breaks:
- cinnamon (<< 5.2~),
- cinnamon-core (<< 5.2~),
+Recommends: cinnamon-l10n
+Breaks: cinnamon-session-common (<< 2.2.2-5~)
+Replaces: cinnamon-session-common (<< 2.2.2-5~)
 Provides: x-session-manager
 Description: Cinnamon Session Manager - Minimal runtime
  The Cinnamon Session Manager is in charge of starting the core components

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		-Ddocbook=true \
		-Dfrequent_warnings=true \
		-Dgconf=false \
		-Dipv6=true \
		-Dxtrans=true

# --list-missing will be default in compat 12
override_dh_missing:
	dh_missing --list-missing

## cinnamon-session 5.4.0

=== debian/changelog ===
cinnamon-session (5.4.0-2) unstable; urgency=medium

  [ Fabio Fantoni ]
  * d/patches: add upstream fix:
    Accept Desktop Entry Specification v1.5

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 11 Sep 2022 19:59:20 +0200

cinnamon-session (5.4.0-1) unstable; urgency=medium

  * New upstream version 5.4.0
  * Simplify d/watch
  * d/control: remove gconf=false in configure as not needed anymore
  * Remove doc part removed in 5.4 and xmlto,xsltproc from build-deps
  * update d/copyright
  * Bumped Standards-Version to 4.6.1

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 26 Jun 2022 22:35:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,16 @@
 Source: cinnamon-session
 Section: x11
 Priority: optional
-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Uploaders:
+ Maximiliano Curia <maxy@debian.org>,
+ Margarita Manterola <marga@debian.org>,
+ Fabio Fantoni <fantonifabio@tiscali.it>,
+ Norbert Preining <norbert@preining.info>,
+ Joshua Peisach <itzswirlz2020@outlook.com>,
+ Christoph Martin <martin@uni-mainz.de>
 Build-Depends:
- debhelper (>= 11.1~),
+ debhelper-compat (= 13),
  gnome-pkg-tools (>= 0.13),
  intltool (>= 0.40.6),
  libcanberra-dev,
@@ -23,24 +30,27 @@
  libxrender-dev,
  libxt-dev,
  libxtst-dev,
- meson,
- xmlto,
- xsltproc,
+ meson (>= 0.40.0),
  xtrans-dev,
-Standards-Version: 3.9.6
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Homepage: http://cinnamon.linuxmint.com
+Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-session
+Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-session.git
 
 Package: cinnamon-session
 Architecture: any
 Depends:
- cinnamon-desktop-data (>= 3.6),
+ cinnamon-desktop-data (>= 5.2),
  cinnamon-session-common (= ${source:Version}),
  default-dbus-session-bus | dbus-session-bus,
  upower (>= 0.9.0),
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends: cinnamon-l10n
-Breaks: cinnamon-session-common (<< 2.2.2-5~)
-Replaces: cinnamon-session-common (<< 2.2.2-5~)
+Recommends: cinnamon-l10n (>= 5.2)
+Breaks:
+ cinnamon (<< 5.2~),
+ cinnamon-core (<< 5.2~),
 Provides: x-session-manager
 Description: Cinnamon Session Manager - Minimal runtime
  The Cinnamon Session Manager is in charge of starting the core components

## cinnamon-session 5.4.0+vanessa

=== debian/changelog ===
cinnamon-session (5.4.0+vanessa) vanessa; urgency=medium

  [ Michael Webster ]
  * Remove gconf code, disable docs, remove doc dependencies.

  [ Clement Lefebvre ]
  * CI: Update targets

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jun 2022 15:08:45 +0200

cinnamon-session (5.2.0) una; urgency=medium

  [ Joshua Peisach ]
  * util: Unset LC_* variables (#145)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Nov 2021 12:44:32 +0000
